# Network Admin Web UI

### 基于 `React` 和 `Chakra UI`

#### 架构
- 前端框架：`React`
- UI 组件库：`Chakra UI`
- 网络图表：`Recharts`
- 状态管理：`React hooks`
- 数据通信：`Axios`
- 页面路由：`React Router`

#### 部署方法
- `clone`项目
- 导航到`/src/frontend/`目录
- 使用`pnpm`管理软件包:`npm install pnpm -g`
- 安装依赖:`pnpm install`
- 执行`pnpm build`进行`react`服务端构建
- 运行`pnpm start`启动服务端
- 服务运行在本地`3000`端口

#### 功能(后端)
- []监控网络流量
- []扫描环境中的交换机
- []自然语言解析命令
- []下发配置到交换机
- []流量预测
- []图表显示

172.17.99.208