const scanEffect = {
  getTestDevices() {
    return [
      { ip: '192.168.1.1', mac: '00:1A:2B:3C:4D:5E', ports: [22, 23, 161] },
      { ip: '192.168.1.2', mac: '00:1D:7D:AA:1B:01', ports: [22, 23, 161] },
      { ip: '192.168.1.3', mac: '00:0C:29:5A:3B:11', ports: [22, 23, 161, 443] },
      { ip: '192.168.1.4', mac: '00:23:CD:FF:10:02', ports: [22, 23] },
      { ip: '192.168.1.5', mac: '00:04:4B:AA:BB:CC', ports: [22, 23, 80, 443] },
      { ip: '192.168.1.6', mac: '00:11:22:33:44:55', ports: [22, 23, 161] },
      { ip: '192.168.1.7', mac: '00:1F:45:67:89:AB', ports: [23] },
      { ip: '192.168.1.8', mac: '00:50:56:11:22:33', ports: [22, 443, 8443] },
    ];
  },

  async fetchLocalInfo({ setLocalIp, subnet, setSubnet }) {
    setLocalIp('192.168.1.100');
    if (!subnet) {
      const ipParts = '192.168.1.0'.split('.');
      setSubnet(`${ipParts[0]}.${ipParts[1]}.${ipParts[2]}.0/24`);
    }
  },
};

export default scanEffect;
